Update a form's section Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/form/{form_uuid}/section/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • form_uuid string Required
  • uuid string Required
application/json

Body

  • title string Required

    The title of the section

  • position integer

    The position of the section in the form.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • form object

      The form this section belongs to

      Hide form attributes Show form attributes object
      • uuid string
      • created_at string
      • updated_at string
      • title string
      • description string
      • live boolean
      • visibility string
      • sections object
        Hide sections attributes Show sections attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • title

          The title of the question

        • help_text

          Input placeholder text

        • caption

          Text to describe the input

        • type

          The type of question

        • required

          Whether the question is required

        • position

          The position of the question in the section

        • selection_options

          The options for selection questions

        • target_field

          The field to update upon question completion

        • key

          The key to use when updating the target field

        • linked_primary

          Will the this linked field become a primary Address/Phone Number/Email Address

      • allowed_hosts array[string]
      • draft_submissions_count integer
      • submitted_submissions_count integer
      • create_client boolean
      • client_type string
    • title string

      The title of the section

    • position integer

      The position of the section

    • questions object

      The questions in the section

      Hide questions attributes Show questions attributes object
      • uuid string
      • created_at string
      • updated_at string
      • section object
        Hide section attributes Show section attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • title

          The title of the section

        • position

          The position of the section

      • title string
      • help_text string
      • caption string
      • type string
      • required boolean
      • position integer
      • selection_options array[string]
      • target_field string
      • key string
      • linked_question object
        Hide linked_question attributes Show linked_question attributes object
        • type

          Type of question

        • field

          The field this question is linked to

        • label

          The label this question is linked to

        • formatted_field

          The field formatted in title case

        • selection_options

          The selection options for selection type questions

        • is_custom_field

          Denotes if this is linked to a custom field

        • forced_required

          Denotes if this is question must be required

        • caption

          Placeholder caption for this question

      • linked_primary boolean
PUT /api/v1/form/{form_uuid}/section/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/section/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"title":"Section 1.1","position":0}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "title": "Section 1.1",
  "position": 0
}
Response examples (200)
{
  "uuid": "5fc7af72-a89c-4063-b810-5e07a5e810c6",
  "created_at": "2026-07-17T15:25:29+01:00",
  "updated_at": "2026-07-17T15:25:29+01:00",
  "form": {
    "uuid": "3f3466ff-ba49-40c5-b0a5-7598a77b36a8",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "title": "Annual Catchup 2022",
    "description": "This is the annual catchup form for 2022",
    "live": true,
    "visibility": "public",
    "sections": {
      "uuid": "a78b8295-ee33-4fb4-8ef3-a7d63e02e5ae",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "title": "What is your name?",
      "help_text": "Gareth",
      "caption": "Your full legal name",
      "type": "string",
      "required": true,
      "position": 1,
      "selection_options": [
        "option 1",
        "option 2"
      ],
      "target_field": "name",
      "key": "what_is_your_name",
      "linked_primary": true
    },
    "allowed_hosts": [
      "domain.com",
      "subdomain.domain.com"
    ],
    "draft_submissions_count": 5,
    "submitted_submissions_count": 5,
    "create_client": true,
    "client_type": "client"
  },
  "title": "Personal Details",
  "position": 1,
  "questions": {
    "uuid": "4d924546-85dd-4a15-a2f5-efa79c1d0bbc",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "section": {
      "uuid": "af706da4-ac2b-45dc-8404-b10ef7e20ac6",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "title": "Personal Details",
      "position": 1
    },
    "title": "What is your name?",
    "help_text": "Gareth",
    "caption": "Your full legal name",
    "type": "string",
    "required": true,
    "position": 1,
    "selection_options": [
      "option 1",
      "option 2"
    ],
    "target_field": "name",
    "key": "what_is_your_name",
    "linked_question": {
      "type": "selection",
      "field": "gender",
      "label": "Gender",
      "formatted_field": "Gender",
      "selection_options": [
        "male",
        "female",
        "non-binary",
        "transgender",
        "intersex",
        "other",
        "unknown"
      ],
      "is_custom_field": false,
      "forced_required": false,
      "caption": "Your drink preference"
    },
    "linked_primary": true
  }
}